JspConfig.JspProperty (Apache Tomcat 11.0.8 API Documentation)
Description: declaration: package: org.apache.jasper.compiler, class: JspConfig, class: JspProperty

# Class JspConfig.JspProperty

java.lang.Object
org.apache.jasper.compiler.JspConfig.JspProperty

Enclosing class:
  `JspConfig`

public static class JspConfig.JspProperty extends Object

Author:
  Kin-man Chung, Remy Maucherat

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JspProperty(String isXml, String elIgnored, String errorOnELNotFound, String scriptingInvalid, String pageEncoding, Collection<String> includePrelude, Collection<String> includeCoda, String deferedSyntaxAllowedAsLiteral, String trimDirectiveWhitespaces, String defaultContentType, String buffer, String errorOnUndeclaredNamespace)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getBuffer()`
  `String`
  `getDefaultContentType()`
  `String`
  `getErrorOnELNotFound()`
  `Collection<String>`
  `getIncludeCoda()`
  `Collection<String>`
  `getIncludePrelude()`
  `String`
  `getPageEncoding()`
  `String`
  `isDeferedSyntaxAllowedAsLiteral()`
  `String`
  `isELIgnored()`
  `String`
  `isErrorOnUndeclaredNamespace()`
  `String`
  `isScriptingInvalid()`
  `String`
  `isTrimDirectiveWhitespaces()`
  `String`
  `isXml()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### JspProperty

    public JspProperty(String isXml, String elIgnored, String errorOnELNotFound, String scriptingInvalid, String pageEncoding, Collection<String> includePrelude, Collection<String> includeCoda, String deferedSyntaxAllowedAsLiteral, String trimDirectiveWhitespaces, String defaultContentType, String buffer, String errorOnUndeclaredNamespace)

- ## Method Details

  - ### isXml

    public String isXml()

  - ### isELIgnored

    public String isELIgnored()

  - ### getErrorOnELNotFound

    public String getErrorOnELNotFound()

  - ### isScriptingInvalid

    public String isScriptingInvalid()

  - ### getPageEncoding

    public String getPageEncoding()

  - ### getIncludePrelude

    public Collection<String> getIncludePrelude()

  - ### getIncludeCoda

    public Collection<String> getIncludeCoda()

  - ### isDeferedSyntaxAllowedAsLiteral

    public String isDeferedSyntaxAllowedAsLiteral()

  - ### isTrimDirectiveWhitespaces

    public String isTrimDirectiveWhitespaces()

  - ### getDefaultContentType

    public String getDefaultContentType()

  - ### getBuffer

    public String getBuffer()

  - ### isErrorOnUndeclaredNamespace

    public String isErrorOnUndeclaredNamespace()